<?php

namespace Modules\NsBulkImporter\Console\Commands;

use Exception;
use Illuminate\Console\Command;
use Modules\NsBulkImporter\Services\ImporterService;

class OptionImportCommand extends Command
{
    protected $signature = 'ns:bulkimport-options {path}';

    protected $description = 'Will bulk import options from a .json file.';

    protected $importerService;

    public function __construct(ImporterService $importerService)
    {
        parent::__construct();
        $this->importerService = $importerService;
    }

    public function handle()
    {
        $result = $this->importerService->importOptionFile($this->argument('path'));

        if (isset($result['status']) && $result['status'] === 'success') {
            return $this->info($result['message']);
        }

        throw new Exception(sprintf(__('An error has occured while importing the file %s'), $result['message']));
    }
}
