<?php

namespace Modules\NsBulkImporter\Events;

use Modules\NsBulkImporter\Fields\CustomerImportFields;
use Modules\NsBulkImporter\Fields\ImportFields;
use Modules\NsBulkImporter\Fields\OrderImportFields;

/**
 * Register Events
 **/
class NsImporterEvent
{
    public function __construct()
    {
        //
    }

    public static function registerMenus($menus)
    {
        if (isset($menus['inventory'])) {
            return array_insert_after($menus, 'inventory', [
                'ns-importer'   =>  [
                    'label'     =>  __('Bulk Importer'),
                    'icon'      =>  'la-cloud-upload-alt',
                    'childrens' =>  [
                        'import-products'   =>  [
                            'label' =>  __('Import Products'),
                            'href'      =>  ns()->route('bulk-importer.products'),
                        ],
                        'import-customers'   =>  [
                            'label' =>  __('Import Customers'),
                            'href'      =>  ns()->route('bulk-importer.customers'),
                        ],
                        'import-orders'   =>  [
                            'label' =>  __('Import Orders'),
                            'href'      =>  ns()->route('bulk-importer.orders'),
                        ],
                    ],
                ],
            ]);
        }

        return $menus;
    }

    public static function registerFields($class)
    {
        switch ($class) {
            case 'ns.importer-fields.products':
                return new ImportFields;
            case 'ns.importer-fields.customers':
                return new CustomerImportFields;
            case 'ns.importer-fields.orders':
                return new OrderImportFields;
            default:
                return $class;
        }
    }
}
