<?php

namespace Modules\NsBulkImporter\Fields;

use App\Models\CustomerGroup;
use App\Models\RewardSystem;
use App\Services\FieldsService;
use App\Services\Helper;

class CustomerImportFields extends FieldsService
{
    public function get()
    {
        return [
            [
                'label'         =>  __('Separator'),
                'name'          =>  'separator',
                'type'          =>  'text',
                'value'         =>  ',',
                'validation'    =>  'required',
                'description'   =>  __('Define the separator of the file.'),
            ], [
                'label'         =>  __('Default Group'),
                'name'          =>  'default_group',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::toJsOptions(CustomerGroup::get(), ['id', 'name']),
                'description'   =>  __('Define the customer group that applies to unassigned group mapping.'),
            ], [
                'label'         =>  __('Default Reward System'),
                'name'          =>  'default_reward_system',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::toJsOptions(RewardSystem::get(), ['id', 'name']),
                'value'         =>  'available',
                'description'   =>  __('Define the reward system that applies to unassigned reward system mapping.'),
            ],
        ];
    }
}
