<?php

namespace Modules\NsBulkImporter\Fields;

use App\Models\ProductCategory;
use App\Models\Unit;
use App\Services\FieldsService;
use App\Services\Helper;

class ImportFields extends FieldsService
{
    public function get()
    {
        return [
            [
                'label'         =>  __('Separator'),
                'name'          =>  'separator',
                'type'          =>  'text',
                'value'         =>  ',',
                'validation'    =>  'required',
                'description'   =>  __('Define the separator of the file.'),
            ], [
                'label'         =>  __('Default Unit'),
                'name'          =>  'default_unit',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::toJsOptions(Unit::get(), ['id', 'name']),
                'description'   =>  __('Define the unit that applies to unassigned unit mapping.'),
            ], [
                'label'         =>  __('Default Status'),
                'name'          =>  'default_status',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::kvToJsOptions([
                    'available'     =>  __('Available'),
                    'unavailable'   =>  __('Unavailable'),
                ]),
                'value'         =>  'available',
                'description'   =>  __('Define the unit that applies to unassigned unit mapping.'),
            ], [
                'label'         =>  __('Default Category'),
                'name'          =>  'default_category',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::toJsOptions(ProductCategory::get(), ['id', 'name']),
                'description'   =>  __('Define the default category that applies to unassigned category mapping.'),
            ],
        ];
    }
}
