<?php

namespace Modules\NsBulkImporter\Fields;

use App\Models\ProductCategory;
use App\Models\Provider;
use App\Services\FieldsService;
use App\Services\Helper;

class ProcurementFields extends FieldsService
{
    public function get()
    {
        return [
            [
                'label'         =>  __('Provider'),
                'name'          =>  'provider_id',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::toJsOptions(Provider::get(), ['id', 'name']),
                'description'   =>  __('If you would like the current import to proceed a stock taking as well.'),
            ], [
                'label'         =>  __('Delivery Status'),
                'name'          =>  'delivery_status',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::kvToJsOptions([
                    'paid'      =>  __('Paid'),
                    'unpaid'    =>  __('Unpaid'),
                ]),
                'description'   =>  __('Define the procurement status.'),
            ], [
                'label'         =>  __('Default Category'),
                'name'          =>  'default_category',
                'type'          =>  'select',
                'validation'    =>  'required',
                'options'       =>  Helper::toJsOptions(ProductCategory::get(), ['id', 'name']),
                'description'   =>  __('Define the default category that applies to unassigned category mapping.'),
            ],
        ];
    }
}
