<?php

use Illuminate\Routing\Middleware\SubstituteBindings;
use Illuminate\Support\Facades\Route;
use Modules\NsBulkImporter\Http\Controllers\BulkImporterController;

Route::middleware([
    'auth:sanctum',
    SubstituteBindings::class,
])
->group(function () {
    Route::get('ns-bulk-importer/supported-attributes/{resource?}', [BulkImporterController::class, 'supportedAttribute']);
    Route::post('ns-bulk-importer/import-categories', [BulkImporterController::class, 'importCategories']);
    Route::post('ns-bulk-importer/import-products', [BulkImporterController::class, 'importProducts']);
    Route::post('ns-bulk-importer/import-units', [BulkImporterController::class, 'importUnits']);
    Route::post('ns-bulk-importer/procure-products', [BulkImporterController::class, 'procureProducts']);

    Route::post('ns-bulk-importer/orders/import-customers', [BulkImporterController::class, 'importCustomersFromOrders']);
    Route::post('ns-bulk-importer/orders/import-products', [BulkImporterController::class, 'importProductsFromOrders']);
    Route::post('ns-bulk-importer/orders/import-orders', [BulkImporterController::class, 'importOrders']);
    Route::post('ns-bulk-importer/orders/procure-products', [BulkImporterController::class, 'procureProductsStock']);
    Route::post('ns-bulk-importer/orders', [BulkImporterController::class, 'procureProducts']);

    Route::post('ns-bulk-importer/import-customers-groups', [BulkImporterController::class, 'importCustomerGroup']);
    Route::post('ns-bulk-importer/import-customers', [BulkImporterController::class, 'createCustomer']);
});
