<?php

use App\Http\Middleware\Authenticate;
use Illuminate\Routing\Middleware\SubstituteBindings;
use Illuminate\Support\Facades\Route;
use Modules\NsBulkImporter\Http\Controllers\BulkImporterController;

Route::middleware([
    SubstituteBindings::class,
    Authenticate::class,
])->group(function () {
    Route::get('/bulk-importer/products', [BulkImporterController::class, 'importer'])->name(ns()->routeName('bulk-importer.products'));
    Route::get('/bulk-importer/customers', [BulkImporterController::class, 'importCustomers'])->name(ns()->routeName('bulk-importer.customers'));
    Route::get('/bulk-importer/orders', [BulkImporterController::class, 'showImportOrders'])->name(ns()->routeName('bulk-importer.orders'));
});
