const path          = require( 'path' );
const mix           = require( 'laravel-mix' );
const fs            =   require( 'fs' );

const fileName  =   `${__dirname}/.dev`;

if ( fs.existsSync( fileName ) ) {
    fs.unlinkSync( fileName );
}

mix
    .webpackConfig({
        resolve: {
            extensions: [ ".vue", ".ts" ],
            alias: {
                '@': path.resolve( __dirname, 'Resources/ts/')
            },
            fallback: {
                'stream': require.resolve("stream-browserify")
            }
        }
    });

mix.disableNotifications();
mix.extract();
mix.vue({ version: 2 });

if ( ! mix.inProduction() ) {
    mix.sourceMaps();
}

mix
    .js( 'Resources/js/csv-import.js', 'csv-import.js' )
    .setPublicPath( 'Public/js' )
    .version();

if ( ! mix.inProduction() ) {
    fs.writeFileSync( fileName, '' );
}