<?php

namespace Modules\NsMultiStore\Listeners;

use App\Models\User;
use App\Services\Setup;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Modules\NsMultiStore\Events\MultiStoreTablesCreatedEvent;

class MultiStoreTablesCreatedEventListener
{
    use Dispatchable, InteractsWithSockets, SerializesModels;
    
    /**
     * Handle the event.
     *
     * @param  object  $event
     * @return void
     */
    public function handle(MultiStoreTablesCreatedEvent $event)
    {
        /**
         * @var Setup $setup
         */
        $setup = app()->make(Setup::class);
        $setup->createDefaultPayment( User::find( $event->store->author ) );
    }
}
