<?php

namespace Modules\NsMultiStore\Providers;

use App\Classes\Hook;
use Illuminate\Support\ServiceProvider;
use Modules\NsMultiStore\Events\NsMultiStoreEvent;
use Modules\NsMultiStore\Services\StoresService;

class ModuleServiceProvider extends ServiceProvider
{
    public function register()
    {
        $this->app->singleton(StoresService::class, fn () => new StoresService);

        ns()->store = app()->make(StoresService::class);

        Hook::addFilter('ns-dashboard-menus', [NsMultiStoreEvent::class, 'dashboardMenus'], 29);
        Hook::addFilter('ns-crud-resource', [NsMultiStoreEvent::class, 'registerCrud']);
        Hook::addFilter('ns-route', [NsMultiStoreEvent::class, 'builRoute'], 10, 3);
        Hook::addFilter('ns-dashboard-header', [NsMultiStoreEvent::class, 'overWriteHeader']);
        Hook::addFilter('ns-url', [NsMultiStoreEvent::class, 'setUrl']);
        Hook::addFilter('ns-asset', [NsMultiStoreEvent::class, 'setAsset']);
        Hook::addFilter('ns-route-name', [NsMultiStoreEvent::class, 'customizeRouteNames']);
        Hook::addFilter('ns-table-name', [NsMultiStoreEvent::class, 'prefixModelTable']);
        Hook::addFilter('ns-common-routes', [NsMultiStoreEvent::class, 'disableDefaultComponents'], 10, 3);
        Hook::addFilter('ns-login-redirect', [NsMultiStoreEvent::class, 'defaultRouteAfterAuthentication'], 10, 2);
        Hook::addFilter('ns-model-table', [NsMultiStoreEvent::class, 'prefixModelTable']);
        Hook::addAction('ns-dashboard-footer', [NsMultiStoreEvent::class, 'injectHttpClientListener']);
        Hook::addFilter('ns-reset-table', [NsMultiStoreEvent::class, 'preventTableTruncatingOnMultiStore']);
        Hook::addFilter('ns-media-path', [NsMultiStoreEvent::class, 'changeMediaDirectory']);
        Hook::addFilter('ns-registration-roles', [NsMultiStoreEvent::class, 'filterRoles']);
    }

    public function boot()
    {
        // ...
    }
}
