const nsMultiStoreStorePopup    =   Vue.component( 'ns-multistore-popup', {
    template: '#store-selection-template',
    data() {
        return {
            stores: [],
            hasLoaded: false
        }
    },
    mounted() {
        this.loadStores();
        this.$popup.event.subscribe( action => {
            if ( action.event === 'click-overlay' ) {
                this.$popup.close();
            }
        })
    },
    methods: {
        close() {
            this.$popup.close();
        },
        loadStores() {
            this.hasLoaded      =   false;
            Axios.get( '/api/nexopos/v4/multistores/stores' )
                .then( result => {
                    this.stores     =   result.data;
                    this.hasLoaded  =   true;
                })
                .catch( ( error ) => {
                    this.hasLoaded  =   true;
                })
        }
    }
});

Vue.component( 'ns-multistore-selector', {
    mounted() {

    },
    methods: {
        toggleStoreSelector() {
            Popup.show( nsMultiStoreStorePopup )
        }
    }
})