<?php

namespace Modules\NsMultiStore\Settings;

use App\Services\Helper;
use App\Services\SettingsPage;

class GeneralSettings extends SettingsPage
{
    protected $form;

    protected $identifier = 'ns.multistore-settings';

    protected $labels;

    public function __construct()
    {
        $this->labels = [
            'title'     =>  __m('MultiStore Settings', 'NsMutliStore'),
            'description'   =>  __m('Configure how your stores network.', 'NsMultiStore'),
        ];

        $this->form = [
            'tabs'      =>  [
                'general'   =>  [
                    'label'     =>  __m('General', 'NsMultiStore'),
                    'fields'        =>  [
                        [
                            'label' =>  __m('Sub Domain Routing', 'NsMuliStore'),
                            'name'  =>  'nsmultistore-subdomain',
                            'type'  =>  'switch',
                            'value'     =>  ns()->option->get('nsmultistore-subdomain'),
                            'options'   =>  Helper::kvToJsOptions([
                                'enabled'   =>  __m('Enabled', 'NsMultiStore'),
                                'disabled'   =>  __m('Disabled', 'NsMultiStore'),
                            ]),
                            'description'   =>  __m('Define if the NexoPOS should use sub domains for detecting sub store.', 'NsMultiStore'),
                        ], [
                            'label' =>  __m('Refresh Stateful Domains', 'NsMuliStore'),
                            'name'  =>  'nsmultistore-statefuldomains',
                            'type'  =>  'switch',
                            'value'     =>  ns()->option->get('nsmultistore-statefuldomains', 'no'),
                            'options'   =>  Helper::kvToJsOptions([
                                'yes'   =>  __m('Yes', 'NsMultiStore'),
                                'no'   =>  __m('No', 'NsMultiStore'),
                            ]),
                            'description'   =>  __m('By enabling this option, the stateful domains will be refreshed. Will be set to "No" after it has refreshed the domains', 'NsMultiStore'),
                        ],
                    ],
                ],
            ],
        ];
    }
}
