<?php

namespace Modules\NsStockTransfers\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Broadcasting\PresenceChannel;
use Illuminate\Broadcasting\PrivateChannel;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Modules\NsStockTransfers\Models\StockTransfer;

class TransactionAfterUpdatedEvent
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $stocktransfer;

    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct( StockTransfer $stocktransfer )
    {
        $this->stocktransfer    =   $stocktransfer;
    }

    /**
     * Get the channels the event should broadcast on.
     *
     * @return \Illuminate\Broadcasting\Channel|array
     */
    public function broadcastOn()
    {
        return new PrivateChannel('channel-name');
    }
}
