<?php
/**
 * Table Migration
 * @package  4.0
**/

namespace Modules\NsStockTransfers\Migrations;

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateNsTransfersTable extends Migration
{
    public $multistore      =   false;
    
    /**
     * Run the migrations.
     *
     * @return  void
     */
    public function up()
    {
        if ( ! Schema::hasTable( 'nexopos_stock_transfers' ) ) {
            Schema::create( 'nexopos_stock_transfers', function( Blueprint $table ) {
                $table->id();
                $table->integer( 'from_store' );
                $table->integer( 'to_store' );
                $table->string( 'name' );
                $table->text( 'description' )->nullable();
                $table->string( 'status' )->default( 'pending' ); // pending, ongoing, delivered, stocked
                $table->string( 'type' ); // transfer, request
                $table->boolean( 'draft' )->default( true );
                $table->integer( 'author' );
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return  void
     */
    public function down()
    {
        Schema::dropIfExists( 'nexopos_stock_transfers' );
    }
}
