<?php
/**
 * Table Migration
 * @package  4.0
**/

namespace Modules\NsStockTransfers\Migrations;

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTransferProductsTable extends Migration
{
    public $multistore  =   false;
    
    /**
     * Run the migrations.
     *
     * @return  void
     */
    public function up()
    {
        if ( ! Schema::hasTable( 'nexopos_stock_transfers_products' ) ) {
            Schema::create( 'nexopos_stock_transfers_products', function( Blueprint $table ) {
                $table->id();
                $table->integer( 'transfer_id' );
                $table->integer( 'product_id' );
                $table->string( 'name' );
                $table->integer( 'unit_id' );
                $table->string( 'unit_name' );
                $table->float( 'quantity' );
                $table->float( 'unit_price' )->default(0);
                $table->float( 'total_price' )->default(0);
                $table->float( 'tax_value' )->default(0);
                $table->string( 'barcode' )->nullable();
                $table->text( 'description' )->nullable();
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return  void
     */
    public function down()
    {
        Schema::dropIfExists( 'nexopos_stock_transfers_products' );
    }
}
