<?php
/**
 * Table Migration
 * @package  4.5.8
**/

namespace Modules\NsStockTransfers\Migrations;

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Modules\NsStockTransfers\Models\StockTransferProduct;

class UpdateStockTransfersProductsOct1521 extends Migration
{
    /**
     * Run the migrations.
     *
     * @return  void
     */
    public function up()
    {
        Schema::table( 'nexopos_stock_transfers_products', function( Blueprint $table ) {
            if ( ! Schema::hasColumn( 'nexopos_stock_transfers_products', 'approval_status' ) ) {
                $table->string( 'approval_status' )->default( StockTransferProduct::APPROVAL_PENDING ); 
            }
            
            if ( ! Schema::hasColumn( 'nexopos_stock_transfers_products', 'missing_quantity' ) ) {
                $table->float( 'missing_quantity' )->default(0);
            }

            if ( ! Schema::hasColumn( 'nexopos_stock_transfers_products', 'available_quantity' ) ) {
                $table->float( 'available_quantity' )->default(0);
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return  void
     */
    public function down()
    {
        Schema::table( 'nexopos_stock_transfers_products', function( Blueprint $table ) {
            if ( Schema::hasColumn( 'nexopos_stock_transfers_products', 'approval_status' ) ) {
                $table->dropColumn( 'approval_status' );
            }

            if ( Schema::hasColumn( 'nexopos_stock_transfers_products', 'missing_quantity' ) ) {
                $table->dropColumn( 'missing_quantity' );
            }
            
            if ( Schema::hasColumn( 'nexopos_stock_transfers_products', 'available_quantity' ) ) {
                $table->dropColumn( 'available_quantity' );
            }
        });
    }
}
