<?php
namespace Modules\NsStockTransfers\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Modules\NsMultiStore\Models\Store;

class StockTransfer extends Model
{
    use HasFactory;

    const STATUS_PENDING    =   'pending';
    const STATUS_DRAFT      =   'draft';
    const STATUS_ONGOING    =   'ongoing';
    const STATUS_DELIVERED  =   'delivered';
    const STATUS_CANCELED   =   'canceled';
    const STATUS_REJECTED   =   'rejected';
    const STATUS_STOCKED    =   'stocked';
    const STATUS_APPROVED   =   'approved';
    const STATUS_REVIEW     =   'pending_review';

    const TYPE_TRANSFER     =   'transfer';
    const TYPE_REQUEST      =   'request';

    protected $table    =   'nexopos_stock_transfers';

    public function products()
    {
        return $this->hasMany( StockTransferProduct::class, 'transfer_id', 'id' );
    }

    public function sourceStore()
    {
        return $this->hasOne( Store::class, 'id', 'from_store' );
    }

    public function destinationStore()
    {
        return $this->hasOne( Store::class, 'id', 'to_store' );
    }

    public function user()
    {
        return $this->hasOne( User::class, 'id', 'author' );
    }
}