<?php
namespace Modules\NsStockTransfers\Models;

use App\Models\Product;
use App\Models\Unit;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StockTransferProduct extends Model
{
    use HasFactory;

    protected $table    =   'nexopos_stock_transfers_products';

    const ACTION_TRANSFER_REJECT        =   'stocktransfers-transfer-rejected';
    const ACTION_TRANSFER_CANCELED      =   'stocktransfers-transfer-canceled';

    const APPROVAL_PENDING              =   'pending';
    const APPROVAL_REJECTED             =   'rejected';
    const APPROVAL_ACCEPTED             =   'accepted'; // might be accepted with missing inventory which should be returned.

    public function product()
    {
        return $this->hasOne( Product::class, 'id', 'product_id' );
    }

    public function unit()
    {
        return $this->hasOne( Unit::class, 'id', 'unit_id' );
    }
}