<?php

use Illuminate\Routing\Middleware\SubstituteBindings;
use Illuminate\Support\Facades\Route;
use Modules\NsStockTransfers\Http\Controllers\StockTransfersController;

Route::middleware([ 'auth:sanctum', SubstituteBindings::class ])
    ->group( function() {
        Route::post( '/stock-transfers/search/{transaction?}', [ StockTransfersController::class, 'searchProduct' ]);
        Route::post( '/stock-transfers/submit', [ StockTransfersController::class, 'submitTransaction' ]);
        Route::put( '/stock-transfers/submit/{transaction}', [ StockTransfersController::class, 'updateTransaction' ]);
        Route::get( '/stock-transfers/reject/{transaction}', [ StockTransfersController::class, 'rejetTransaction' ]);
        Route::get( '/stock-transfers/cancel/{transaction}', [ StockTransfersController::class, 'cancelTransaction' ]);
        Route::get( '/stock-transfers/approve/{transaction}', [ StockTransfersController::class, 'approveTransaction' ]);
        Route::post( '/stock-transfers/confirm-transfer/{transaction}', [ StockTransfersController::class, 'confirmTransaction' ]);
        Route::post( '/stock-transfers/reject-transfer/{transaction}', [ StockTransfersController::class, 'rejectTransaction' ]);
        Route::delete( '/stock-transfers/products/{product}', [ StockTransfersController::class, 'deleteProduct' ]);
    });