<?php

use Illuminate\Support\Facades\Route;
use Modules\NsStockTransfers\Http\Controllers\StockTransfersController;

Route::get( '/stock-transfers', [ StockTransfersController::class, 'transferList' ])
    ->name( ns()->routeName( 'ns.stocktransfer-list' ) );
Route::get( '/stock-transfers/invoice/{transaction}', [ StockTransfersController::class, 'getInvoice' ])
    ->name( ns()->routeName( 'ns.stocktransfer-invoice' ) );
Route::get( '/stock-transfers/create/transfer', [ StockTransfersController::class, 'createTransfer' ])
    ->name( ns()->routeName( 'ns.stocktransfer-transfers' ) );
Route::get( '/stock-transfers/create/request', [ StockTransfersController::class, 'createRequest' ])
    ->name( ns()->routeName( 'ns.stocktransfer-requests' ) );
Route::get( '/stock-transfers/edit/{transaction}', [ StockTransfersController::class, 'editTransfer' ])
    ->name( ns()->routeName( 'ns.stocktransfer-edit' ) );
Route::get( '/stock-requests/edit/{transaction}', [ StockTransfersController::class, 'editStockRequest' ])
    ->name( ns()->routeName( 'ns.stockrequest-edit' ) );
Route::get( '/stock-requests/review/{transaction}', [ StockTransfersController::class, 'reviewTransaction' ])
    ->name( ns()->routeName( 'ns.stocktransfer.review' ) );