<?php
namespace Modules\NsStockTransfers\Settings;

use App\Services\Helper;
use App\Services\SettingsPage;

class GeneralSettings extends SettingsPage
{
    protected $form;

    public function __construct()
    {
        $this->labels   = [
            'title'         =>  __m( 'Stock Transfers Settings', 'NsStockTransfers' ),
            'descrition'    =>  __m( 'All stock transfers settings.', 'NsStockTransfers' )
        ];
          
        $this->identifier   = 'ns.stocktransfers.settings';
        
        $this->form     =   [
            'tabs'  =>  [
                'general'   =>  [
                    'label' =>  __m( 'General Settings', 'NsStockTransfers' ),
                    'fields'    =>  [
                        [
                            'type'           =>  'switch',
                            'label'         =>  __m( 'Enable Stock Verfication', 'NsStockTransfers' ),
                            'description'   =>  __m( 'Before being added to the inventory, every stock transaction will need prior approval.', 'NsStockTransfers' ),
                            'name'          =>  'ns-stocktransfers-approval',
                            'options'       =>  Helper::kvToJsOptions([ 
                                'no'    =>  __m( 'No', 'NsStockTransfers' ),
                                'yes'   =>  __m( 'Yes', 'NsStockTransfers' ) 
                            ]),
                            'value'         =>  ns()->option->get( 'ns-stocktransfers-approval', 'neeo' )
                        ]
                    ]
                ]
            ]
        ];
    }
}